Ask Your Question
0

learn_puppet VM: 'skipping because of failed dependencies'

asked 2014-09-04 12:17:44 -0500

woolfie gravatar image

Using the learnpuppetcentos-6.5-pe-3.2.2 downloaded today, I'm running into problems with the

puppet agent --test

step in the "power of puppet" quest.

There's a whole slew of warnings like:

Warning: /Stage[main]/Lvmguide/File[/var/www/html/lvmguide/assets]: Skipping because of failed dependencies
Warning: /Stage[main]/Lvmguide/File[/var/www/html/lvmguide/assets/setup_ifconfig.png]: Skipping because of failed dependencies
Warning: /Stage[main]/Lvmguide/File[/var/www/html/lvmguide/assets/PE_Add_lvmguide_Class.png]: Skipping because of failed dependencies
...
Notice: /Stage[main]/Lvmguide/File[/var/www/html/lvmguide/assets/Puppet-Labs-Logo.png]: Dependency Package[httpd] has failures: true
Notice: /Stage[main]/Lvmguide/Apache::Vhost[learning.puppetlabs.vm]/File[25-learning.puppetlabs.vm.conf]: Dependency Package [httpd] has failures: true
Notice: /Stage[main]/Apache::Service/Service[httpd]: Dependency Package[httpd] has failures: true
Notice: Finished catalog run in 58.38 seconds

and at the end of it apache is not running.

Note, I am behind a firewall and cannot download modules directly. I had to install the apache module manually (see my comment on installing-puppetlabs-apache-as-described-in-the-quest-guide)

I was hoping to get through at least this quest with the manually installed apache. This learnpuppetcentos-6.5-pe-3.2.2 has all broken tar files for the offline users to use:

[root@learn /etc/puppetlabs/puppet/modules]# file /usr/src/forge/*
/usr/src/forge/camptocamp-augeasfacter-0.1.0.tar.gz:  HTML document text
/usr/src/forge/cprice404-inifile-0.10.4.tar.gz:       HTML document text
/usr/src/forge/domcleal-augeasproviders-1.0.0.tar.gz: HTML document text
/usr/src/forge/hunner-charybdis-0.2.0.tar.gz:         HTML document text
/usr/src/forge/hunner-wordpress-0.4.0.tar.gz:         HTML document text
/usr/src/forge/puppetlabs-apache-0.8.1.tar.gz:        HTML document text
/usr/src/forge/puppetlabs-apache-1.1.1.tar.gz:        gzip compressed data, from Unix, last modified: Fri Jul 18 18:08:59 2014
/usr/src/forge/puppetlabs-apt-1.2.0.tar.gz:           HTML document text
/usr/src/forge/puppetlabs-concat-1.0.0.tar.gz:        HTML document text
/usr/src/forge/puppetlabs-firewall-0.4.1.tar.gz:      HTML document text
/usr/src/forge/puppetlabs-mysql-0.9.0.tar.gz:         HTML document text
/usr/src/forge/puppetlabs-ntp-3.0.1.tar.gz:           HTML document text
/usr/src/forge/puppetlabs-pe_gem-0.0.1.tar.gz:        HTML document text
/usr/src/forge/puppetlabs-postgresql-2.4.1.tar.gz:    HTML document text
/usr/src/forge/puppetlabs-puppetdb-1.6.0.tar.gz:      HTML document text
/usr/src/forge/puppetlabs-vcsrepo-0.1.2.tar.gz:       HTML document text
/usr/src/forge/razorsedge-vmwaretools-4.4.1.tar.gz:   HTML document text
/usr/src/forge/thias-vsftpd-0.1.2.tar.gz:             HTML document text
/usr/src/forge/zack-haproxy-0.2.0.tar.gz:             HTML document text
/usr/src/forge/zack-irc-0.0.6.tar.gz:                 HTML document text
[root@learn /etc/puppetlabs/puppet/modules]#

Is there any way around this 'puppet agent --test' problem for offline users? Is it due to a broken learn_puppet VM? Is there a fixed VM in the works?

edit retag flag offensive close merge delete

2 answers

Sort by ยป oldest newest most voted
0

answered 2016-01-13 17:54:23 -0500

ReneCD gravatar image

I have the same problem, though I'm able to access the internet no problem. Followed instructions until "puppet agent --test" after which the following happened.

root@learning:~ # puppet agent --test
Info: Using configured environment 'production'
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Info: Caching catalog for learning.puppetlabs.vm
Info: Applying configuration version '1452728280'
Error: Execution of '/bin/yum -d 0 -e 0 -y install python-tzlocal' returned 1: Error: Nothing to do
Error: /Stage[main]/Graphite::Install/Package[python-tzlocal]/ensure: change from purged to present failed: Executi
on of '/bin/yum -d 0 -e 0 -y install python-tzlocal' returned 1: Error: Nothing to do
Notice: /Stage[main]/Graphite::Install/Package[twisted]: Dependency Package[python-tzlocal] has failures: true
Warning: /Stage[main]/Graphite::Install/Package[twisted]: Skipping because of failed dependencies
Notice: /Stage[main]/Graphite::Install/Package[carbon]: Dependency Package[python-tzlocal] has failures: true
Warning: /Stage[main]/Graphite::Install/Package[carbon]: Skipping because of failed dependencies
....

So it continues. After this there is a webserver running on port 90 but there's no content. Help?

edit flag offensive delete link more
0

answered 2014-10-16 00:49:05 -0500

khaazher gravatar image

Hi woolfie,

I encountered the exact same error and was able to bypass it by setting the correct proxy on my learning VM.

Cheers, AK

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-09-04 12:17:44 -0500

Seen: 2,013 times

Last updated: Sep 04 '14